Loading...
Searching...
No Matches
casacore::NumericTraits< Complex > Class Reference
scimath package (libcasa_scimath) » Mathematics_module

A specialisation for T=Complex of the NumericTraits class. More...

`#include <NumericTraits2.h>`

## Public Types

typedef Float | ConjugateType
typedef DComplex | PrecisionType
typedef Complex | value_type
| Template argument.
typedef Char | BaseType
| Numeric type.

## Static Public Member Functions

static uInt | size ()
| Number of relevant numeric values.
static void | setImag (Complex &, const BaseType &)
| Set the imaginary part of a complex value only (a NOP for reals).
static BaseType | getValue (const Complex &, const uInt)
| Get the nsize()-th numeric value.
static void | setValue (Complex &, const BaseType &, const uInt)
| Set the nsize()-th numeric value.

## Static Public Attributes

static const Double & | epsilon
static const Double & | minimum
static const Double & | maximum

## Detailed Description

A specialisation for T=Complex of the NumericTraits class.

### Review Status

Reviewed By:
  UNKNOWN
Date Reviewed:
  before2004/08/25

Definition at line 61 of file NumericTraits2.h.

## Member Typedef Documentation

## BaseType

typedef Char casacore::NumericTraits< Complex >::BaseType

Numeric type.

Definition at line 226 of file NumericTraits.h.

## ConjugateType

typedef Float casacore::NumericTraits< Complex >::ConjugateType

Definition at line 63 of file NumericTraits2.h.

## PrecisionType

typedef DComplex casacore::NumericTraits< Complex >::PrecisionType

Definition at line 64 of file NumericTraits2.h.

## value_type

typedef Complex casacore::NumericTraits< Complex >::value_type

Template argument.

Definition at line 224 of file NumericTraits.h.

## Member Function Documentation

## getValue()

BaseType casacore::NumericTraits< Complex >::getValue | ( | const Complex & | ,
|  | const uInt | )

inline static

Get the nsize()-th numeric value.

Definition at line 242 of file NumericTraits.h.

## setImag()

void casacore::NumericTraits< Complex >::setImag | ( | Complex & | ,
|  | const BaseType & | )

inline static

Set the imaginary part of a complex value only (a NOP for reals).

Definition at line 240 of file NumericTraits.h.

## setValue()

void casacore::NumericTraits< Complex >::setValue | ( | Complex & | ,
|  | const BaseType & | ,
|  | const uInt | )

inline static

Set the nsize()-th numeric value.

Definition at line 244 of file NumericTraits.h.

## size()

uInt casacore::NumericTraits< Complex >::size | ( |  | ) |

inline static

Number of relevant numeric values.

Definition at line 238 of file NumericTraits.h.

## Member Data Documentation

## epsilon

const Double& casacore::NumericTraits< Complex >::epsilon

static

Definition at line 65 of file NumericTraits2.h.

## maximum

const Double& casacore::NumericTraits< Complex >::maximum

static

Definition at line 67 of file NumericTraits2.h.

## minimum

const Double& casacore::NumericTraits< Complex >::minimum

static

Definition at line 66 of file NumericTraits2.h.

The documentation for this class was generated from the following file:

- scimath/Mathematics/NumericTraits2.h